Subject: Re: nano and TERM
From: "Gareth Pearce" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 6 Apr 2003 07:52:39 +1000

Igor's analysis of the situation seems sound, I'm forwarding this to
nano-devel incase the nano-developers are interested in handling this
situation more gracefully. (once again - if it did work in the past)

Regards,
Gareth - nano cygwin packager.
----- Original Message -----
From: "Igor Pechtchanski" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, April 06, 2003 4:04 AM
Subject: Re: nano and TERM

> On Sat, 5 Apr 2003 [email-masked] wrote:
>
> > > Hmm, unable to reproduce your problem here
> > > so far, prehaps some more details would be useful.
> > > Gareth - nano packaging type guy.
> >
> > Thank you for getting back to me. This is what I meant.
> >
> > When Cygwin is installed (i.e. after running setup, filesystems are
mounted,
> > registry entries are made, etc, etc) all the supplied applications (such
as
> > nano) operate very nicely in the default bash console window and, it
turns
> > out, in a rxvt window. I have experimented with the "-tn" terminal
switch
> > available with rxvt but to be honest have found most settings (e.g. -tn
> > cygwin, -tn rxvt, -tn vt100; or no setting at all) to be completely
> > irelevant: things just work. (Though I remember -tn linux turned out to
be a
> > doomed selection.) Well done all the packagers.
> >
> > Also, nano and pico and a few other things work seamlessly, and with no
> > obvious differences, in a Windows DOS box. Especially the command-line
stuff
> > like ls, find, md5sum, diff, cmp, ... This is because I have put
> > c:\Cygwin\bin in my Windows PATH (early). This offers a huge and
valuable
> > extension to the supplied Windows command structure.
> >
> > (I know http://www.nano-editor.org supply a zipped version of nano
claimed
> > to be "for Windows" but since on un-zipping the provision, it turns out
to
> > include cygwin1.dll, I deduce it's the same, ot not much different to,
the
> > entity maintained by Gareth. So, since nano works in all possible
required
> > environments that I can think of (Cygwin-bash, Cygwin-rxvt, Windows-DOS)
I
> > have not bothered with this zipped item.)
> >
> > My reason for writing was to report (very unclearly, I now perceive) the
> > following.
> >
> > Occasionally it suits me to umount -A and also change the name c:\Cygwin
to
> > c:\SomethingElse. (Don't ask. I'm interested in sparse systems.
Particularly
> > in extending the Windows command structure through simply making
available
> > the contents of c:\SomethingElse\bin\, and *without* setting up Cygwin
in
> > the mounted registry sense.) It seems to me that as long as
> > c:\SomethingElse\bin is in the Windows PATH, then one still has the
luxury
> > of Cygwin's applications. Certainly I find am still able to use ls,
find,
> > md5sum, cmp, diff, ..., loads of others, ..., and pico.
> >
> > I am more or less certain that I have successfully used nano in these
> > circumstances. But currently I am getting the error message earlier
> > described: "Error opening terminal : cygwin".
> >
> > Fergus
> >
> > P.S. I know. This is saying "Thank you for supplying an item intended to
be
> > used under prevailing circumstances A. I want to use it under prevailing
> > circumstances B, but I find I can't. Kindly mend it so I can." I really
am
> > not saying this, and I hope I have no unreasonable expectations. But I
guess
> > what I am saying is: (a) I'm sure I could once, and (b) other not
dissimilar
> > things seem to work OK under prevailing circumstances B. Is there any
> > possibility that nano could be looked at, because it is SUCH a useful
> > editor. THANK YOU.
>
> Fergus,
>
> Any application depending on ncurses or curses will probably use the
> terminfo database.  For that, it'll need access to /usr/share/terminfo,
> and thus it'll need at least the "/" mount.  Alternatively, some older
> applications use /etc/termcap (with the same requirement).  I doubt there
> will be any resolution that will allow you to use a full-screen editor
> without access to terminfo or termcap.
>
> I'm not sure why pico works, possibly because it has an internal termcap
> entry for a dumb terminal and uses that when the terminfo/termcap database
> cannot be found.  This might have been the case with nano as well, but
> then its (upstream) maintainers must have decided that terminfo/termcap
> databases are always available, and that it makes sense to eliminate that
> functionality.  If so, it's unlikely it'll be reinstated.
> Igor
> --
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> Knowledge is an unending adventure at the edge of uncertainty.
>   -- Leto II
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/